View Issue Details

IDProjectCategoryView StatusLast Update
0019267PatchesLCLpublic2011-10-03 14:09
ReporterAvishai Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0019267: Patch to add BiDiMode and ParentBiDiMode to TFileListBox.
DescriptionPatch to add BiDiMode and ParentBiDiMode to TFileListBox. My code is marked as

// Avishai's Code
...
// End of Avishai's Code
Tagsbidi, multi-language support
Fixed in Revisionr30593
LazTarget-
Widgetset
Attached Files

Relationships

related to 0019268 closedJuha Manninen Patches Patch to add BiDiMode and ParentBiDiMode properties to 5 components. 
related to 0019303 acknowledged Lazarus BiDi meta issue 

Activities

2011-04-30 11:08

 

filectrl.zip (4,827 bytes)

Juha Manninen

2011-04-30 13:46

developer   ~0047924

Preferably a patch please.

 http://wiki.lazarus.freepascal.org/Creating_A_Patch

Avishai

2011-04-30 18:42

reporter   ~0047933

I haven't been able to get SVN to work, but I will keep trying.

Juha Manninen

2011-04-30 18:58

developer   ~0047934

Last edited: 2011-04-30 18:59

What OS you have?

Juha Manninen

2011-05-07 11:50

developer   ~0048108

I applied it. Please test.

Issue History

Date Modified Username Field Change
2011-04-30 11:08 Avishai New Issue
2011-04-30 11:08 Avishai File Added: filectrl.zip
2011-04-30 11:19 Avishai Tag Attached: bidi
2011-04-30 12:57 Avishai Tag Attached: multi-language support
2011-04-30 13:45 Juha Manninen Relationship added related to 0019268
2011-04-30 13:46 Juha Manninen Note Added: 0047924
2011-04-30 18:42 Avishai Note Added: 0047933
2011-04-30 18:58 Juha Manninen Note Added: 0047934
2011-04-30 18:59 Juha Manninen Note Edited: 0047934
2011-05-06 22:12 Juha Manninen Relationship added related to 0019303
2011-05-07 11:50 Juha Manninen Fixed in Revision => r30593
2011-05-07 11:50 Juha Manninen LazTarget => -
2011-05-07 11:50 Juha Manninen Status new => resolved
2011-05-07 11:50 Juha Manninen Resolution open => fixed
2011-05-07 11:50 Juha Manninen Assigned To => Juha Manninen
2011-05-07 11:50 Juha Manninen Note Added: 0048108
2011-10-03 14:09 Avishai Status resolved => closed